cancel
Showing results for 
Search instead for 
Did you mean: 

Is virtualjdbc extension deprecated, and what now?

Former Member
0 Kudos

On Hybris Help page there is a message on virtualjdb extension:

"Caution: This page refers to deprecated software. For further details, see Deprecation Status."

But when I page through all deprecation status pages from 6.0.0 to v1808, virtualjdbc is not mentioned anywhere. So no reason for deprecation and no migration plan.

So what is the recommended way to integrate with BI tools? Should we connect directly to database for this?

Former Member
0 Kudos

We still have customers using virtualjdbc for integrating with different Bi tools, so what is the best solution going forward?

former_member387866
Active Contributor

Accepted Solutions (1)

Accepted Solutions (1)

former_member387866
Active Contributor
0 Kudos

Hi Armandas,

I've raised an ECP to get the Deprecation Status Page updated.
It's ECP-3151- Add VirtualJDBC to Deprecation Status page.
The ECP will be made available for public viewing in the coming days.

Hopefully I can get an answer on what the future solution for this.

Regards,
Luke

geffchang
Active Contributor
0 Kudos

As of 2019-03-07, ECP-3151 has been marked as resolved. The Acceptance Criteria says that virtualjdbc is going to be deprecated. However, Deprecation page for Hybris 6.6 still doesn't say it: https://help.hybris.com/6.6.0/hcd/8bb15ed586691014a948d1553f4947cf.html

How long do I need to wait for changes to take effect?

former_member387866
Active Contributor
0 Kudos

The documentation is updated when the Patches are released.

geffchang
Active Contributor
0 Kudos

Noted. Thanks for the clarification.

0 Kudos

Does anyone have a workaround for this as it is being used for backend queries?

0 Kudos

Does this mean virtualjdbc won't be replaced by anything?

Answers (1)

Answers (1)

geffchang
Active Contributor
0 Kudos

I tried to build Hybris 6.7 with virtualjdbc extensions, and the "ant clean all" showed this in the logs:

 [ycodegenerator] ---------------------------------------------------------------
 [ycodegenerator] Warning: you're using at least one deprecated extension!
 [ycodegenerator] Please note that they may not be available in future releases.
 [ycodegenerator]
 [ycodegenerator] Deprecated extensions: [virtualjdbc]
 [ycodegenerator] ---------------------------------------------------------------

Also this:

 [testClassesScanner] ---------------------------------------------------------------
 [testClassesScanner] Warning: you're using at least one deprecated extension!
 [testClassesScanner] Please note that they may not be available in future releases.
 [testClassesScanner]
 [testClassesScanner] Deprecated extensions: [virtualjdbc]
 [testClassesScanner] ---------------------------------------------------------------


Marko_salonen
Contributor
0 Kudos

I guess we all agree that it is deprecated but it is little bit strange that they forgot to list it in the page where deprecated extensions are listed :)

Former Member
0 Kudos

Thanks for confirming, I rephrased the main question a bit 🙂 hope Hybris can comment